=== debian/changelog ===
thumbor (6.3.2-3) unstable; urgency=medium

  * debian/copyright: Added complete text of CC licenses

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 25 Nov 2017 16:26:52 -0200

thumbor (6.3.2-2) unstable; urgency=medium

  * Fixed some thumbor tests (Patch already applied by upstream)
  * debian/copyright: Added missing licenses
  * Lintian fixes:
    - build-depends: dh-systemd (>= 1.5) => use debhelper (>= 9.20160709)

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 23 Nov 2017 23:21:56 -0200

thumbor (6.3.2-1) unstable; urgency=low

  [ Gilles Dubuc ]

  * Initial release. (Closes: #723778)

  [ Marcelo Jorge Vieira ]

  * Add myself as uploader
  * Bump Standards-Version to 4.0.0
  * Added python-pycurl as build-depends
  * Added debian/README.Debian

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 08 Sep 2017 19:39:51 -0300
