=== debian/changelog ===
thumbor (6.5.1-7) unstable; urgency=high

  * d/control: Fixed build-deps

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 23 Feb 2019 11:30:36 -0300

thumbor (6.5.1-6) unstable; urgency=high

  * Really fixed PyCryptodome dependency (Thanks Florian REY)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 16 Feb 2019 00:49:44 -0200

thumbor (6.5.1-5) unstable; urgency=high

  * Fixed missing PyCryptodome dependency (Closes: #918785)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 13 Feb 2019 23:58:59 -0200

thumbor (6.5.1-4) unstable; urgency=high

  * dependency python-imaging is does-not-exist (Closes: #891612)
  * test failure in test_redeye_applied (numpy >= 1.16.0) (Closes: #918395)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 13 Feb 2019 00:14:29 -0200

thumbor (6.5.1-3) unstable; urgency=medium

  * d/control: Wrap and sort
  * d/control: Fixed piexif dependency

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 16 Dec 2018 17:38:06 -0200

thumbor (6.5.1-2) unstable; urgency=high

  * Fixed i386 build

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 09 Dec 2018 12:18:30 -0200

thumbor (6.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field

  [ Marcelo Jorge Vieira ]

  * New Upstream release (Closes: #891612)
  * d/watch: Changed repository from pypi to github
  * Removed patches applied by upstream
    * fix_convert_tif_to_png.patch
    * fixed_reorientate_tests_for_big_endian_machines.patch
  * Replaced 'python-pexif' with 'python-piexif'

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 06 Dec 2018 22:09:22 -0200

thumbor (6.3.2-4) unstable; urgency=medium

  * Fixed reorientate tests for big endian machines (Closes: #883038)

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 18 Dec 2017 23:06:34 -0200
