=== debian/control ===
Source: thumbor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
           Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               ffmpeg,
               gifsicle,
               libimage-exiftool-perl,
               libjpeg-turbo-progs,
               python-all,
               python-argparse,
               python-cairosvg,
               python-celery,
               python-colorama,
               python-concurrent.futures,
               python-crypto (>= 2.1.0),
               python-derpconf (>= 0.2.0),
               python-dev,
               python-libthumbor,
               python-mock (>=1.0.1),
               python-nose,
               python-numpy,
               python-opencv,
               python-piexif (>=1.0.13),
               python-pil (>= 3.0.0),
               python-preggy (>= 1.3.0),
               python-pycryptodome (>= 3.4.7),
               python-pycurl,
               python-pyexiv2,
               python-pyssim,
               python-redis (>= 2.4.9),
               python-schedule,
               python-setuptools,
               python-statsd (>= 3.0.1),
               python-tornado (>= 4.1.0),
               python-tz,
               python-webcolors,
               redis-server
Homepage: https://github.com/thumbor/thumbor
Vcs-Git: https://salsa.debian.org/python-team/modules/thumbor.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/thumbor

Package: thumbor
Architecture: any
Depends: python-argparse,
         python-cairosvg,
         python-concurrent.futures,
         python-crypto (>= 2.1.0),
         python-derpconf (>= 0.2.0),
         python-libthumbor,
         python-piexif (>= 1.0.13),
         python-pil (>= 3.0.0),
         python-pycryptodome (>= 3.4.7),
         python-schedule,
         python-statsd (>= 3.0.1),
         python-tornado (>= 4.1.0),
         python-tz,
         python-webcolors,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Photo thumbnail service
 Thumbor is a smart imaging service. It enables on-demand crop, resizing
 and flipping of images.
